DWARF_LNE_END_SEQUENCE(3) | Library Functions Manual | DWARF_LNE_END_SEQUENCE(3)

# NAME

`dwarf_lne_end_sequence` —
set the end of instruction sequence

# LIBRARY

DWARF Access Library (libdwarf, -ldwarf)

# SYNOPSIS

`#include <libdwarf.h>`

Dwarf_Unsigned
`dwarf_lne_end_sequence`(Dwarf_P_Debug dbg, Dwarf_Addr addr, Dwarf_Error *err);

# DESCRIPTION

Function `dwarf_lne_end_sequence`() sets the address that indicates the end of a sequence of target machine instructions.

Argument dbg should reference a DWARF producer instance allocated using dwarf_producer_init(3) or dwarf_producer_init_b(3).

Argument addr specifies an address value which is the first byte after the end of a instruction sequence.

If argument err is not NULL, it will be used to store error information in case of an error.

# RETURN VALUES

On success, function `dwarf_lne_end_sequence`() returns `DW_DLV_OK`. In case of an error, function `dwarf_lne_end_sequence`() returns `DW_DLV_NOCOUNT` and sets the argument err.

# ERRORS

Function `dwarf_lne_end_sequence`() can fail with:

[`DW_DLE_ARGUMENT`]
  Argument dbg was NULL.
[`DW_DLE_ARGUMENT`]
  The value in argument addr overlapped an existing line information entry.
[`DW_DLE_MEMORY`]
  An out of memory condition was encountered during the execution of the function.

# SEE ALSO

dwarf(3), dwarf_add_directory_decl(3), dwarf_add_file_decl(3), dwarf_add_line_entry(3), dwarf_lne_set_address(3), dwarf_producer_init(3), dwarf_producer_init_b(3)

September 15, 2011 | NetBSD 9.4